> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# (Deprecated) Request an authorization code

>  

(This endpoint is deprecated. Clients should use `/authorization_code`.) Clients use this endpoint to request an authorization\_code according to a user, member, and account specified in the request body. Clients then pass this code to processors. Processor access is scoped only to the user/member/account specified in this request. Before requesting an authorization\_code, clients must have verified the specified member.


## OpenAPI

````yaml openapi/platform-api/v20111101.yaml POST /payment_processor_authorization_code
openapi: 3.0.0
info:
  contact:
    name: MX Platform API
    url: https://www.mx.com/products/platform-api
  description: >
    The MX Platform API is a powerful, fully-featured API designed to make
    aggregating and enhancing financial data easy and reliable. It can
    seamlessly connect your app or website to tens of thousands of financial
    institutions.
  title: MX Platform API
  version: '20111101'
servers:
  - url: https://int-api.mx.com
  - url: https://api.mx.com
security:
  - basicAuth: []
tags:
  - name: authorization
  - name: widgets
  - name: users
  - name: members
  - name: institutions
  - name: accounts
  - name: transactions
  - name: microdeposits
  - name: managed data
  - name: transaction rules
  - name: statements
  - name: merchants
  - name: categories
  - name: insights
  - name: investment holdings
  - name: spending plan
  - name: goals
  - name: budgets
  - name: monthly cash flow profile
  - name: notifications
  - name: taggings
  - name: tags
  - name: deprecated
  - name: processor token
  - name: verifiable credentials
  - name: rewards
  - name: ach return
paths:
  /payment_processor_authorization_code:
    post:
      tags:
        - processor token
      summary: (Deprecated) Request an authorization code
      description: >-
        (This endpoint is deprecated. Clients should use `/authorization_code`.)
        Clients use this endpoint to request an authorization_code according to
        a user, member, and account specified in the request body. Clients then
        pass this code to processors. Processor access is scoped only to the
        user/member/account specified in this request. Before requesting an
        authorization_code, clients must have verified the specified member.
      operationId: deprecatedRequestPaymentProcessorAuthorizationCode
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/PaymentProcessorAuthorizationCodeRequestBody
        description: The scope for the authorization code.
        required: true
      responses:
        '200':
          content:
            application/vnd.mx.api.v1+json:
              schema:
                $ref: >-
                  #/components/schemas/PaymentProcessorAuthorizationCodeResponseBody
          description: OK
      deprecated: true
components:
  schemas:
    PaymentProcessorAuthorizationCodeRequestBody:
      properties:
        payment_processor_authorization_code:
          $ref: '#/components/schemas/PaymentProcessorAuthorizationCodeRequest'
      type: object
    PaymentProcessorAuthorizationCodeResponseBody:
      properties:
        payment_processor_authorization_code:
          $ref: '#/components/schemas/PaymentProcessorAuthorizationCodeResponse'
      type: object
    PaymentProcessorAuthorizationCodeRequest:
      properties:
        account_guid:
          example: ACT-4d4c0068-33bc-4d06-bbd6-cd270fd0135c
          type: string
        member_guid:
          example: MBR-46637bc5-942d-4229-9370-ddd858bf805e
          type: string
        user_guid:
          example: USR-f12b1f5a-7cbe-467c-aa30-0a10d0b2f549
          type: string
      required:
        - account_guid
        - member_guid
        - user_guid
      type: object
    PaymentProcessorAuthorizationCodeResponse:
      properties:
        authorization_code:
          example: 9nN-9D8_4Z3WYazx7-zXfmqsD3jwgL_2W927Sb3otI
          nullable: true
          type: string
      type: object
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http

````